#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_zmi.layer import IAdminLayer

# import packages
from pyams_template.template import template_config
from pyams_zmi.form import InnerAdminDisplayForm
from z3c.form import field
from zope.interface import Interface


@template_config(template='templates/inner-table.pt', layer=IAdminLayer)
class InnerTableView(InnerAdminDisplayForm):
    """Inner table view"""

    title = None

    fields = field.Fields(Interface)
    table_class = None

    def __init__(self, context, request, view):
        super(InnerTableView, self).__init__(context, request, view)
        self.table = self.table_class(context, request)
        self.table.view = self

    def update(self):
        super(InnerTableView, self).update()
        self.table.update()
